#
# spec file for package gdlmm
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gdlmm
Version:        3.7.3
Release:        8.25
Summary:        C++ interface for gdl
License:        LGPL-2.1-or-later
Group:          Development/Libraries/GNOME
Url:            http://git.gnome.org/gdlmm/
Source0:        http://download.gnome.org/sources/gdlmm/3.7/%{name}-%{version}.tar.xz
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  perl(XML::Parser)
BuildRequires:  pkgconfig(gdl-3.0) >= 3.7
BuildRequires:  pkgconfig(glibmm-2.4) >= 2.16
BuildRequires:  pkgconfig(gtkmm-3.0) >= 3.0

%description
gdlmm provides a C++ interface to the gdl library.

%package -n libgdlmm-3_0-2
Summary:        C++ interface for gdl
Group:          System/Libraries

%description -n libgdlmm-3_0-2
gdlmm provides a C++ interface to the gdl library.

%package devel
Summary:        Development files for the C++ interface of gdl
Group:          Development/Libraries/C and C++
Requires:       libgdlmm-3_0-2 = %{version}

%description devel
gdlmm provides a C++ interface to the gdl library.

%prep
%setup -q

%build
%configure \
        --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libgdlmm-3_0-2 -p /sbin/ldconfig
%postun -n libgdlmm-3_0-2 -p /sbin/ldconfig

%files -n libgdlmm-3_0-2
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/libgdlmm-3.0.so.*

%files devel
%{_includedir}/gdlmm-3.0/
%{_libdir}/gdlmm-3.0/
%{_libdir}/libgdlmm-3.0.so
%{_libdir}/pkgconfig/gdlmm-3.0.pc
%doc %{_datadir}/devhelp/books/gdlmm-3.0/
%doc %{_datadir}/doc/gdlmm-3.0/
# Avoid BuildRequires on devhelp
%dir %{_datadir}/devhelp
%dir %{_datadir}/devhelp/books

%changelog
* Sat Mar 10 2018 jengelh@inai.de
- Fix SRPM group. Update summaries.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Tue Apr 19 2016 zaitor@opensuse.org
- Stop exporting CFLAGS and CXXFLAGS, no longer needed due to
  changes in libsigc++.
* Thu Aug 20 2015 zaitor@opensuse.org
- Export CFLAGS="%%{optflags} -std=c++11" and CXXFLAGS="%%{optflags}
  - std=c++11". Fix build with updated MM stack.
* Mon Feb 18 2013 dimstar@opensuse.org
- Update to version 3.7.3:
  + Support of GDL 3.7.3
  + Method Dock::hide_preview added.
  + Method DockObject::is_automatic removed.
  + Method DockObject::set_manual removed.
  + Method Dock::xor_rect_hide removed.
  + Method Dock::get_layouts_ui removed.
  + Add missing parameter to Dock::dock_drag_motion.
- Drop gdlmm-gdl-3_4.patch and gdlmm-gdl-3_6.patch: fixed upstream.
- Rename libgdlmm-3_0-1 to libgdlmm-3_0-2, following upstreams
  soname bump.
* Mon Nov 26 2012 dimstar@opensuse.org
- Add gdlmm-gdl-3_6.patch: Fix build with gdl 3.6.0.
* Fri Aug 24 2012 dimstar@opensuse.org
- Fix build with gdl 3.5.5:
  As gdlmm-gdl-3_4.patch touches the main definitions,
  bootstrapping is actually required:
  + Add doxygen, graphviz and xsltproc BuildRequires
  + Pass --enable-maintainer-mode and --enable-documentation to
    configure.
* Tue Jul 31 2012 dimstar@opensuse.org
- Add gdlmm-gdl-3_4.patch: Fix build with gdl 3.4.0.
- Drop xz BuildRequires as it now comes for free in the build
  system.
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Fri Nov 25 2011 dimstar@opensuse.org
- Update to version 3.3.2:
  + Suppressed left-over gdl_dock_layout_run_manager
  + Revert "use maintainer mode by default"
  + Fix compilation of the example
- Drop gdlmm-remove-dropped-api.patch: fixed upstream.
- Rename libgdlmm-3_0-0 to libgdlmm-3_0-1, following the upstream
  soname change.
- Add xz BuildRequires because we can't build a package for a
  xz-compressed tarball without explicitly specifying that... See
  bnc#697467 for more details.
* Wed Nov 16 2011 vuntz@opensuse.org
- Add gdlmm-remove-dropped-api.patch: remove API dropped in gdl
  3.3.x.
* Mon Oct 17 2011 vuntz@opensuse.org
- Update to version 3.2.1:
  + Don't use maintainer mode by default.
* Tue Oct  4 2011 vuntz@opensuse.org
- New package (version 3.2.0).
